import * as $dara from '@darabonba/typescript';
export declare class DescribeRouteEntryListResponseBodyRouteEntrysRouteEntryNextHopsNextHopNextHopRelatedInfo extends $dara.Model {
    instanceId?: string;
    instanceType?: string;
    regionId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeRouteEntryListResponseBodyRouteEntrysRouteEntryNextHopsNextHop extends $dara.Model {
    enabled?: number;
    nextHopId?: string;
    nextHopRegionId?: string;
    nextHopRelatedInfo?: DescribeRouteEntryListResponseBodyRouteEntrysRouteEntryNextHopsNextHopNextHopRelatedInfo;
    nextHopType?: string;
    weight?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeRouteEntryListResponseBodyRouteEntrysRouteEntryNextHops extends $dara.Model {
    nextHop?: DescribeRouteEntryListResponseBodyRouteEntrysRouteEntryNextHopsNextHop[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeRouteEntryListResponseBodyRouteEntrysRouteEntry extends $dara.Model {
    description?: string;
    destinationCidrBlock?: string;
    /**
     * @remarks
     * Use the UTC time format: yyyy-MM-ddTHH:mmZ
     */
    gmtModified?: string;
    ipVersion?: string;
    nextHops?: DescribeRouteEntryListResponseBodyRouteEntrysRouteEntryNextHops;
    origin?: string;
    routeEntryId?: string;
    routeEntryName?: string;
    routeTableId?: string;
    serviceType?: string;
    status?: string;
    type?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeRouteEntryListResponseBodyRouteEntrys extends $dara.Model {
    routeEntry?: DescribeRouteEntryListResponseBodyRouteEntrysRouteEntry[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeRouteEntryListResponseBody extends $dara.Model {
    /**
     * @remarks
     * A pagination token. It can be used in the next request to retrieve a new page of results. Valid values:
     *
     * *   If no value is returned for **NextToken**, no next queries are sent.
     * *   If a value is returned for **NextToken**, the value is used to retrieve a new page of results.
     *
     * @example
     * FFmyTO70tTpLG6I3FmYAXGKPd****
     */
    nextToken?: string;
    /**
     * @remarks
     * The request ID.
     *
     * @example
     * 14A07460-EBE7-47CA-9757-12CC4761D47A
     */
    requestId?: string;
    routeEntrys?: DescribeRouteEntryListResponseBodyRouteEntrys;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
